Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 16-09-2021 23:38:00

luluberlu
Membre
Distrib. : debian bullseye
Noyau : Linux 5.10
(G)UI : Gnome
Inscription : 14-09-2015

[semi-résolu] Connexion vpn impossible

Bonjour à tous.

J'ai configuré mon vpn dans gnome puis rentrer le nom d'utilisateur et le mot de passe mais celui ci ne se connecte pas.

journactl -U NetworkManager


sept. 16 23:15:54 lulu-x230 NetworkManager[659]: <info>  [1631826954.7043] audit: op="connection-activate" uuid="cb54a7c3-92f9-48c4-91b8-bc49fd38ff03>
sept. 16 23:15:54 lulu-x230 NetworkManager[659]: <info>  [1631826954.7162] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:54 lulu-x230 NetworkManager[659]: <info>  [1631826954.7342] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:54 lulu-x230 NetworkManager[659]: <info>  [1631826954.8483] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:54 lulu-x230 NetworkManager[659]: <info>  [1631826954.8485] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:54 lulu-x230 nm-openvpn[2745]: DEPRECATED OPTION: --cipher set to 'AES-256-CBC' but missing in --data-ciphers (AES-256-GCM:AES-128-GCM>
sept. 16 23:15:54 lulu-x230 nm-openvpn[2745]: WARNING: file '/home/lulu/Téléchargements/x230_france_openvpn/client.key' is group or others accessible
sept. 16 23:15:54 lulu-x230 nm-openvpn[2745]: OpenVPN 2.5.1 x86_64-pc-linux-gnu [SSL (OpenSSL)] [LZO] [LZ4] [EPOLL] [PKCS11] [MH/PKTINFO] [AEAD] buil>
sept. 16 23:15:54 lulu-x230 nm-openvpn[2745]: library versions: OpenSSL 1.1.1k  25 Mar 2021, LZO 2.10
sept. 16 23:15:55 lulu-x230 nm-openvpn[2745]: NOTE: the current --script-security setting may allow this configuration to call user-defined scripts
sept. 16 23:15:56 lulu-x230 nm-openvpn[2745]: TCP/UDP: Preserving recently used remote address: [AF_INET]191.101.31.114:443
sept. 16 23:15:56 lulu-x230 nm-openvpn[2745]: UDP link local: (not bound)
sept. 16 23:15:56 lulu-x230 nm-openvpn[2745]: UDP link remote: [AF_INET]191.101.31.114:443
sept. 16 23:15:56 lulu-x230 nm-openvpn[2745]: NOTE: chroot will be delayed because of --client, --pull, or --up-delay
sept. 16 23:15:56 lulu-x230 nm-openvpn[2745]: NOTE: UID/GID downgrade will be delayed because of --client, --pull, or --up-delay
sept. 16 23:15:57 lulu-x230 nm-openvpn[2745]: WARNING: 'link-mtu' is used inconsistently, local='link-mtu 1569', remote='link-mtu 1549'
sept. 16 23:15:57 lulu-x230 nm-openvpn[2745]: WARNING: 'auth' is used inconsistently, local='auth SHA256', remote='auth [null-digest]'
sept. 16 23:15:57 lulu-x230 nm-openvpn[2745]: WARNING: 'keysize' is used inconsistently, local='keysize 256', remote='keysize 128'
sept. 16 23:15:57 lulu-x230 nm-openvpn[2745]: [paris-rack439.nodes.gen4.ninja] Peer Connection Initiated with [AF_INET]191.101.31.114:443
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: sitnl_send: rtnl: generic error (-101): Network is unreachable
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: TUN/TAP device tun0 opened
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: /usr/lib/NetworkManager/nm-openvpn-service-openvpn-helper --debug 0 2739 --bus-name org.freedesktop.Net>
sept. 16 23:15:58 lulu-x230 NetworkManager[659]: <info>  [1631826958.2346] manager: (tun0): new Tun device (/org/freedesktop/NetworkManager/Devices/4)
sept. 16 23:15:58 lulu-x230 NetworkManager[659]: <info>  [1631826958.2572] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:58 lulu-x230 NetworkManager[659]: <info>  [1631826958.2604] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:58 lulu-x230 NetworkManager[659]: <info>  [1631826958.2660] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:58 lulu-x230 NetworkManager[659]: <warn>  [1631826958.2666] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:58 lulu-x230 NetworkManager[659]: <warn>  [1631826958.2694] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: chroot to '/var/lib/openvpn/chroot' and cd to '/' succeeded
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: GID set to nm-openvpn
sept. 16 23:15:58 lulu-x230 NetworkManager[659]: <info>  [1631826958.2775] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: UID set to nm-openvpn
sept. 16 23:15:58 lulu-x230 NetworkManager[659]: <info>  [1631826958.2776] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: Initialization Sequence Completed
sept. 16 23:15:58 lulu-x230 NetworkManager[659]: <info>  [1631826958.2829] vpn-connection[0x558b82f18330,cb54a7c3-92f9-48c4-91b8-bc49fd38ff03,"openvp>
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: net_addr_v4_del: 10.15.4.55 dev tun0
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: sitnl_send: rtnl: generic error (-1): Operation not permitted
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: Linux can't del IP from iface tun0
sept. 16 23:15:58 lulu-x230 nm-openvpn[2745]: SIGTERM[hard,] received, process exiting
lines 4078-4114/4114 (END)

 



J'ai recherché "sitnl_send: rtnl: generic error (-1): Operation not permitted" et "Linux can't del IP from iface tun0" mais ça parle de downgrade d'openvpn.

Dernière modification par luluberlu (17-09-2021 22:43:17)

Hors ligne

#2 17-09-2021 08:19:12

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [semi-résolu] Connexion vpn impossible

Hello
quel sont les droits sur le fichier

ls  -l /home/lulu/Téléchargements/x230_france_openvpn/client.key

Dernière modification par Croutons (17-09-2021 08:19:30)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#3 17-09-2021 17:27:52

luluberlu
Membre
Distrib. : debian bullseye
Noyau : Linux 5.10
(G)UI : Gnome
Inscription : 14-09-2015

Re : [semi-résolu] Connexion vpn impossible

les droits sont:

ls  -l /home/lulu/Téléchargements/x230_france_openvpn/client.key


-rw-rw-r-- 1 lulu lulu 3272 16 sept. 20:43 /home/lulu/Téléchargements/x230_france_openvpn/client.key
 

Dernière modification par luluberlu (17-09-2021 22:37:15)

Hors ligne

#4 17-09-2021 22:14:40

luluberlu
Membre
Distrib. : debian bullseye
Noyau : Linux 5.10
(G)UI : Gnome
Inscription : 14-09-2015

Re : [semi-résolu] Connexion vpn impossible

J'ai trouvé un lien avec le même problème:

https://bugs.archlinux.org/task/68567 avec la solution qui aurait été rajouter: https://gitlab.gnome.org/GNOME/NetworkM … equests/34

On peux savoir si cela a été rajouté a Debian ?


Edit: J'ai regardé les sources du paquet network-manager-openvpn-gnome celui de stable n'a pas le correctif est celui de sid la. J'ai installé network-manager-openvpn-gnome et network-manager-openvpn en télechargeant les deux paquets depuis sid et je peux me connecté au vpn. Je vais gardé ceux deux paquets en attendant un éventuel correctif sur la stable.

Dernière modification par luluberlu (17-09-2021 22:37:01)

Hors ligne

#5 09-10-2021 22:36:56

d33p
Membre
Lieu : Cantal
Distrib. : Debian buster 64bits
Noyau : Linux 4.19.0-8-amd64
(G)UI : GNOME, branches stables
Inscription : 01-12-2015

Re : [semi-résolu] Connexion vpn impossible

hello,
si cela peut aider voici ce que j'ai d'installé et cela fonctionne :

:~$ apt list *openvpn*
Listing... Done
gadmin-openvpn-client/stable 0.1.9-1+b2 amd64
golang-github-apparentlymart-go-openvpn-mgmt-dev/stable 0.0~git20161009.9a305ae-1.1 all
network-manager-openvpn-gnome/stable,now 1.8.12-2 amd64 [installed]
network-manager-openvpn/stable,now 1.8.12-2 amd64 [installed,automatic]
openvpn-auth-ldap/stable 2.0.4-1 amd64
openvpn-auth-radius/stable 2.1-7 amd64
openvpn-systemd-resolved/stable 1.3.0-3.1 amd64
openvpn/stable,now 2.5.1-3 amd64 [installed]
:~$ apt list *networkmanager*
Listing... Done
cockpit-networkmanager/stable 239-1 all
libkf5networkmanagerqt-dev/stable 5.78.0-2 amd64
libkf5networkmanagerqt-doc/stable 5.78.0-2 all
libkf5networkmanagerqt6/stable 5.78.0-2 amd64
libproxy1-plugin-networkmanager/stable,now 0.4.17-1 amd64 [installed]
python3-networkmanager/stable 2.2-1 all
:~$ apt list *network-manager*
Listing... Done
budgie-network-manager-applet/stable 1.1.0-1 amd64
network-manager-config-connectivity-debian/stable 1.30.0-2 all
network-manager-dev/stable 1.30.0-2 all
network-manager-fortisslvpn-gnome/stable 1.2.8-2+b2 amd64
network-manager-fortisslvpn/stable 1.2.8-2+b2 amd64
network-manager-gnome/stable,now 1.20.0-3 amd64 [installed]
network-manager-l2tp-gnome/stable 1.2.18-1+b2 amd64
network-manager-l2tp/stable 1.2.18-1+b2 amd64
network-manager-openconnect-gnome/stable 1.2.6-1 amd64
network-manager-openconnect/stable 1.2.6-1 amd64
network-manager-openvpn-gnome/stable,now 1.8.12-2 amd64 [installed]
network-manager-openvpn/stable,now 1.8.12-2 amd64 [installed,automatic]
network-manager-pptp-gnome/stable 1.2.8-3+b2 amd64
network-manager-pptp/stable 1.2.8-3+b2 amd64
network-manager-ssh-gnome/stable 1.2.11-1 amd64
network-manager-ssh/stable 1.2.11-1 amd64
network-manager-strongswan/stable 1.5.2-1 amd64
network-manager-vpnc-gnome/stable 1.2.6-3 amd64
network-manager-vpnc/stable 1.2.6-3 amd64
network-manager/stable,now 1.30.0-2 amd64 [installed,automatic]



il m'est deja arrivé de vider le contenu de "/etc/NetworkManager/system-connections" en cas de bug (quand meme garder une sauvegarde du repertoire dans un coin)

et petite subtilité parfois le vpn saute, il faut creuser cela :

nmcli connection modify id-de-connection vpn.persistent yes
 



si ça peut aider..
JC


science sans conscience n'est que ruine de l'âme...

Hors ligne

Pied de page des forums